let path = require('path')
//读取.evn 对应的文件，写入环境变量
var dotenv = require('dotenv').config({ path: path.resolve(__dirname, '../.env.' + process.env.NODE_ENV) });
var cfg = { ...Object.fromEntries(Object.entries(process.env).filter(([k]) => /^VITE_/.test(k))) } 
let evnConfig = {}

for (let key in cfg) {
  evnConfig[key] = '"' + cfg[key] + '"'    
}
module.exports = evnConfig;